<mat-card class="card">
  <!-- <div class="header-image"></div> -->
  <div class="container">
    <img
      [src]="netImage"
      alt="55"
      class="header-image"
      style="margin: 0;"
      [style.background-color]="getBackgroundColor()"
      [ngStyle]="{'filter': 'grayscale(' + gray + ')'}"
    />
    <div class="top-left">
      <p lang="title">{{ detailData.subject_name }}</p>
    </div>
    <div class="top-left" style="top: 60px;">
      <p lang="des">{{ detailData.detail }}</p>
    </div>
  </div>
  <div class="in-card">
    <p lang="top">กลุ่ม : {{ detailData.group }}</p>
    <p lang="bottom">สถานะ : {{ detailData.status }}</p>
  </div>
  <div class="side" style="margin-bottom: 16px;"></div>

  <div class="delete" (click)="delete100per()" [hidden]="!isStore">
    <div class="hint">ลบ</div>
  </div>
  <div class="restore" (click)="restore()" [hidden]="!isStore">
    <div class="hint">กู้คืน</div>
  </div>
  <div class="store" (click)="delete()" [hidden]="isDisabled">
    <div class="hint">เก็บ</div>
  </div>
  <div class="edit" (click)="edit()" [hidden]="isDisabled">
    <div class="hint">แก้ไข</div>
  </div>
  <div class="chart" (click)="chart()" [hidden]="isStore">
    <div class="hint">รายงาน</div>
  </div>
</mat-card>
